## gfaim 0.30

=== Makefile ===
CC=gcc
DATADIR=/usr/lib/gfaim

gfaim: gfaim.c 
	$(CC) -DDATADIR="\"$(DATADIR)\"" `gtk-config --cflags`  gfaim.c -o gfaim `gtk-config --libs`

clean: 
	rm -f *.o gfaim

install:
	install -g bin -m 755 gfaim /usr/bin
	install -g bin -m 755 imprec /usr/bin
	install -d $(DATADIR)
	install *.dat *.idx -m 644 $(DATADIR)
	install *.txt /usr/doc/gfaim

=== debian/changelog ===
gfaim (0.30-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:42:36 +0000

gfaim (0.30-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:29:38 +0000

gfaim (0.30-0ubuntu4) disco; urgency=medium

  * debian/patches: Convert to quilt.
  * debian/source/format: Indicate 3.0 (quilt) format.
  * debian/rules: Convert to minimal dh sequencer.
  * debian/control:
    - Depend on ${misc:Depends}.
    - Bump Standards-Version to 4.2.1.
    - Build-depend on debhelper (>= 11~).
    - Remove build dependency on cdbs.
    - Use ${source:Version} instead of ${Source-Version}.
    - Add homepage.
  * debian/compat: Bump to 11.
  * debian/patches/01_Makefile.patch: Add CFLAGS, CPPFLAGS, and LDFLAGS
    to Makefile.
  * debian/patches/02_gfaim.patch: Add format argument to g_strdup_printf()
    call to fix error when hardening flags are added.
  * debian/watch: Added.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 22 Nov 2018 21:08:19 -0500

gfaim (0.30-0ubuntu3) oneiric; urgency=low

  * Update 01_Makefile.patch to use -D_GNU_SOURCE, removing implicit
    pointer conversion warning. Fixes FTBFS. (LP: #770941)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 16 Sep 2011 08:41:23 -0400

gfaim (0.30-0ubuntu2) intrepid; urgency=low

  * Modify Maintainer value to match the DebianMaintainerField
    specification. (LP: #230350)

 -- Andrea Colangelo <warp10@ubuntu.com>  Fri, 23 May 2008 10:11:30 +0200

gfaim (0.30-0ubuntu1) feisty; urgency=low

  * Initial Release
  * Patch 01_gfaim.patch: fix compilation error and possible program segfault
    Make the code use gtk+ functions, not old gtk1 broken ones
  * Patch 02_Makefile.patch: fix data files install dir and add -Wall gcc flag
    Make gfaim compile against libgtk2.0
  * Patch 03_lisezmoi.patch : update info as the binary is no longer in the
    source tarball
  * Remove the pre-compiled binary from the source tarball
  * Add english license informations from upstream in the orig tarball

 -- Albin Tonnerre <lut1n.tne@gmail.com>  Sun, 19 Nov 2006 11:46:23 +0100

=== debian/control ===
Source: gfaim
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Albin Tonnerre <lut1n.tne@gmail.com>
Build-Depends: debhelper (>= 11~), libgtk2.0-dev
Standards-Version: 4.2.1
Homepage: http://freeperso.free.fr/index.php/gfaim/

Package: gfaim
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gfaim-data (= ${source:Version}), enscript
Description: A small utility that allows you to find quickly a lot of recipes 
 Gfaim is a small utility written using GTK+ which allows you to find a lot of
 recipes easily by typing the name of the ingredient you want. Its database
 contains more then 10 000 recipes. Please note that those recipes are written
 in French.
 .
 This package contains binaries for gfaim

Package: gfaim-data
Section: misc
Architecture: all
Depends: ${misc:Depends}
Recommends: gfaim
Description: A utility that allows you to find lots of recipes written in French
 Gfaim is a small utility written using GTK+ which allows you to find a lot of
 recipes easily by typing the name of the ingredient you want. Its database
 contains more then 10 000 recipes. Please note that those recipes are written
  in French.
 .
 This package contains the recipe database for gfaim

=== debian/watch ===
version=4
http://freeperso.free.fr/index.php/gfaim/ http://freeperso.free.fr/gfaim-(.+).tar.gz
